import greenfoot.Actor;

/**
 * Definicion de la clase Muro. Representa una pared no traspasable.
 * 
 * @author Sebastian Dieguez
 */
public class Muro extends Actor {

	/**
	 * Costruye un muro con ciertas caracteristicas: '#' Para un muro superior, '_' para un muro inferior, '|' para un muro central vertical izquierdo, '!' para un muro central vertical izquierdo, 'L' para un torrente de LAVA, 'W' para un torrente de AGUA
	 */
	public Muro(char imagen) {
		super();
		switch (imagen) {
			case '|':
				this.setImage("muroV.png");
				break;
			case '!':
				this.setImage("muroV2.png");
				break;
			case '_':
				this.setImage("muroLow.png");
				break;
			case 'L':
				this.setImage("lava.png");
				break;
			case 'W':
				this.setImage("agua.png");
				break;
			default:
				this.setImage("muro.png");
				break;
		}
	}
}
